### File

`src/lib/disabled-authentication.service.ts`

### Index

###### Properties

- Public Readonly events$
- Public Readonly isAuthenticated$

###### Methods

- Async isAuthenticated
- Async signOut

### Methods

Async isAuthenticated
`isAuthenticated()`
Defined in src/lib/disabled-authentication.service.ts:18
Returns : `unknown`

Async signOut
`signOut()`
Defined in src/lib/disabled-authentication.service.ts:14
Returns : `any`

### Properties

Public Readonly events$
Default value : `EMPTY`
Defined in src/lib/disabled-authentication.service.ts:12

Public Readonly isAuthenticated$
Default value : `of(true)`
Defined in src/lib/disabled-authentication.service.ts:11

    import { Injectable } from '@angular/core';
    import {
      EMPTY,
      of,
    } from 'rxjs';
    import { IAuthenticationService } from './authentication.service';

    @Injectable()
    export class DisabledAuthenticationService implements IAuthenticationService {

      public readonly isAuthenticated$ = of(true);
      public readonly events$ = EMPTY;

      async signOut() {
        console.log('Authentication is disabled. No sign out possible');
      }

      async isAuthenticated() {
        return true;
      }

    }

# results matching ""

# No results matching ""